XVID_SRCDIR = ..\..\..\support\xvidcore\src

XVID_GENERIC_SRC = \
    $(XVID_SRCDIR)\decoder.c \
    $(XVID_SRCDIR)\encoder.c \
    $(XVID_SRCDIR)\xvid.c \
    $(XVID_SRCDIR)\bitstream\bitstream.c \
    $(XVID_SRCDIR)\bitstream\cbp.c \
    $(XVID_SRCDIR)\bitstream\mbcoding.c \
    $(XVID_SRCDIR)\dct\fdct.c \
    $(XVID_SRCDIR)\dct\idct.c \
    $(XVID_SRCDIR)\image\colorspace.c \
    $(XVID_SRCDIR)\image\image.c \
    $(XVID_SRCDIR)\image\interpolate8x8.c \
    $(XVID_SRCDIR)\motion\motion_comp.c \
    $(XVID_SRCDIR)\motion\motion_est.c \
    $(XVID_SRCDIR)\motion\sad.c \
    $(XVID_SRCDIR)\prediction\mbprediction.c \
    $(XVID_SRCDIR)\quant\adapt_quant.c \
    $(XVID_SRCDIR)\quant\quant_h263.c \
    $(XVID_SRCDIR)\quant\quant_matrix.c \
    $(XVID_SRCDIR)\quant\quant_mpeg4.c \
    $(XVID_SRCDIR)\utils\emms.c \
    $(XVID_SRCDIR)\utils\mbtransquant.c \
    $(XVID_SRCDIR)\utils\mem_align.c \
    $(XVID_SRCDIR)\utils\mem_transfer.c \
    $(XVID_SRCDIR)\utils\ratecontrol.c \
    $(XVID_SRCDIR)\utils\timer.c

XVID_IA32_SRC = \
    $(XVID_SRCDIR)\utils\x86_asm\cpuid.asm \
    \
    $(XVID_SRCDIR)\bitstream\x86_asm\cbp_mmx.asm \
    $(XVID_SRCDIR)\dct\x86_asm\fdct_mmx.asm \
    $(XVID_SRCDIR)\dct\x86_asm\idct_mmx.asm \
    $(XVID_SRCDIR)\image\x86_asm\interpolate8x8_mmx.asm \
    $(XVID_SRCDIR)\image\x86_asm\rgb_to_yv12_mmx.asm \
    $(XVID_SRCDIR)\image\x86_asm\yuv_to_yv12_mmx.asm \
    $(XVID_SRCDIR)\image\x86_asm\yuyv_to_yv12_mmx.asm \
    $(XVID_SRCDIR)\image\x86_asm\yv12_to_rgb24_mmx.asm \
    $(XVID_SRCDIR)\image\x86_asm\yv12_to_rgb32_mmx.asm \
    $(XVID_SRCDIR)\image\x86_asm\yv12_to_yuyv_mmx.asm \
    $(XVID_SRCDIR)\motion\x86_asm\sad_mmx.asm \
    $(XVID_SRCDIR)\quant\x86_asm\quantize4_mmx.asm \
    $(XVID_SRCDIR)\quant\x86_asm\quantize_mmx.asm \
    $(XVID_SRCDIR)\utils\x86_asm\mem_transfer_mmx.asm

XVID_GENERIC_OBJECTS=$(XVID_GENERIC_SRC:.c=.obj)
XVID_IA32_OBJECTS=$(XVID_IA32_SRC:.asm=.obj)
XVID_OBJECTS=$(XVID_GENERIC_OBJECTS) $(XVID_IA32_OBJECTS)
